"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.FORCE_IGNORE_FILE = '.forceignore';
exports.META_XML_SUFFIX = '-meta.xml';
exports.PACKAGE_XML_FILE = 'package.xml';
exports.DEFAULT_PACKAGE_PREFIX = 'metadataPackage';
exports.XML_NS_KEY = '@_xmlns';
exports.XML_NS = 'http://soap.sforce.com/2006/04/metadata';
exports.XML_DECL = '<?xml version="1.0" encoding="UTF-8"?>\n';
exports.ARCHIVE_MIME_TYPES = new Set([
    'application/zip',
    'application/x-zip-compressed',
    'application/jar',
    'application/octet-stream',
]);
exports.FALLBACK_TYPE_MAP = new Map([
    ['text/javascript', 'js'],
    ['application/x-javascript', 'js'],
    ['application/x-zip-compressed', 'zip'],
    ['text/x-haml', 'haml'],
    ['image/x-png', 'png'],
    ['text/xml', 'xml'],
]);
exports.DEFAULT_CONTENT_TYPE = 'application/octet-stream';
//# sourceMappingURL=constants.js.map