"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const path_1 = require("path");
const _1 = require(".");
const src_1 = require("../../../src");
const type = _1.mockRegistry.types.mixedcontentsinglefile;
exports.MC_SINGLE_FILE_DIR = path_1.join('path', 'to', 'mixedSingleFiles');
exports.MC_XML_NAMES = ['a.mixedSingleFile-meta.xml'];
exports.MC_SINGLE_FILE_XML_PATHS = exports.MC_XML_NAMES.map((n) => path_1.join(exports.MC_SINGLE_FILE_DIR, n));
exports.MC_SINGLE_FILE_SOURCE_NAMES = ['a.x'];
exports.MC_SINGLE_FILE_SOURCE_PATHS = exports.MC_SINGLE_FILE_SOURCE_NAMES.map((n) => path_1.join(exports.MC_SINGLE_FILE_DIR, n));
exports.MC_SINGLE_FILE_COMPONENT = src_1.SourceComponent.createVirtualComponent({
    name: 'a',
    type,
    content: exports.MC_SINGLE_FILE_SOURCE_PATHS[0],
    xml: exports.MC_SINGLE_FILE_XML_PATHS[0],
}, [
    {
        dirPath: exports.MC_SINGLE_FILE_DIR,
        children: exports.MC_XML_NAMES.concat(exports.MC_SINGLE_FILE_SOURCE_NAMES),
    },
]);
//# sourceMappingURL=mixedContentSingleFileConstants.js.map