"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const path_1 = require("path");
const _1 = require(".");
const utils_1 = require("../../../src/utils");
const src_1 = require("../../../src");
// Constants for a decomposed type
const type = _1.mockRegistry.types.reginaking;
exports.REGINAS_PATH = path_1.join('path', 'to', 'reginas');
exports.REGINA_PATH = path_1.join(exports.REGINAS_PATH, 'a');
exports.REGINA_XML_NAME = 'a.regina-meta.xml';
exports.REGINA_XML_PATH = path_1.join(exports.REGINA_PATH, exports.REGINA_XML_NAME);
exports.REGINA_CHILD_XML_NAME_1 = 'z.y-meta.xml';
exports.REGINA_CHILD_XML_PATH_1 = path_1.join(exports.REGINA_PATH, exports.REGINA_CHILD_XML_NAME_1);
exports.REGINA_CHILD_DIR = 'xs';
exports.REGINA_CHILD_DIR_PATH = path_1.join(exports.REGINA_PATH, exports.REGINA_CHILD_DIR);
exports.REGINA_CHILD_XML_NAME_2 = 'w.x-meta.xml';
exports.REGINA_CHILD_XML_PATH_2 = path_1.join(exports.REGINA_CHILD_DIR_PATH, exports.REGINA_CHILD_XML_NAME_2);
exports.REGINA_VIRTUAL_FS = [
    {
        dirPath: exports.REGINA_PATH,
        children: [exports.REGINA_XML_NAME, exports.REGINA_CHILD_XML_NAME_1, exports.REGINA_CHILD_DIR],
    },
    {
        dirPath: exports.REGINA_CHILD_DIR_PATH,
        children: [exports.REGINA_CHILD_XML_NAME_2],
    },
];
exports.REGINA_COMPONENT = src_1.SourceComponent.createVirtualComponent({
    name: utils_1.baseName(exports.REGINA_XML_PATH),
    type,
    xml: exports.REGINA_XML_PATH,
}, exports.REGINA_VIRTUAL_FS);
exports.REGINA_CHILD_COMPONENT_1 = src_1.SourceComponent.createVirtualComponent({
    name: utils_1.baseName(exports.REGINA_CHILD_XML_NAME_1),
    type: type.children.types.y,
    xml: exports.REGINA_CHILD_XML_PATH_1,
}, exports.REGINA_VIRTUAL_FS);
//# sourceMappingURL=reginaConstants.js.map