"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const path_1 = require("path");
const _1 = require(".");
const src_1 = require("../../../src");
// Mixed content with directory as content
const type = _1.mockRegistry.types.tarajihenson;
exports.TARAJI_DIR = path_1.join('path', 'to', 'tarajis');
exports.TARAJI_CONTENT_PATH = path_1.join(exports.TARAJI_DIR, 'a');
exports.TARAJI_XML_NAMES = ['a.taraji-meta.xml'];
exports.TARAJI_XML_PATHS = exports.TARAJI_XML_NAMES.map((n) => path_1.join(exports.TARAJI_DIR, n));
exports.TARAJI_SOURCE_PATHS = [
    path_1.join(exports.TARAJI_CONTENT_PATH, 'test.xyz'),
    path_1.join(exports.TARAJI_CONTENT_PATH, 'b', 'test.g'),
    path_1.join(exports.TARAJI_CONTENT_PATH, 'b', 'test2.w'),
];
exports.TARAJI_COMPONENT = new src_1.SourceComponent({
    name: 'a',
    type,
    xml: exports.TARAJI_XML_PATHS[0],
    content: exports.TARAJI_CONTENT_PATH,
});
exports.TARAJI_VIRTUAL_FS = [
    {
        dirPath: exports.TARAJI_DIR,
        children: [exports.TARAJI_XML_NAMES[0], path_1.basename(exports.TARAJI_CONTENT_PATH)],
    },
    {
        dirPath: exports.TARAJI_CONTENT_PATH,
        children: [path_1.basename(exports.TARAJI_SOURCE_PATHS[0]), path_1.basename(path_1.dirname(exports.TARAJI_SOURCE_PATHS[1]))],
    },
    {
        dirPath: path_1.dirname(exports.TARAJI_SOURCE_PATHS[1]),
        children: [path_1.basename(exports.TARAJI_SOURCE_PATHS[1]), path_1.basename(exports.TARAJI_SOURCE_PATHS[2])],
    },
];
exports.TARAJI_VIRTUAL_FS_NO_XML = [
    {
        dirPath: exports.TARAJI_DIR,
        children: [path_1.basename(exports.TARAJI_CONTENT_PATH)],
    },
    {
        dirPath: exports.TARAJI_CONTENT_PATH,
        children: [path_1.basename(exports.TARAJI_SOURCE_PATHS[0]), path_1.basename(path_1.dirname(exports.TARAJI_SOURCE_PATHS[1]))],
    },
    {
        dirPath: path_1.dirname(exports.TARAJI_SOURCE_PATHS[1]),
        children: [path_1.basename(exports.TARAJI_SOURCE_PATHS[1]), path_1.basename(exports.TARAJI_SOURCE_PATHS[2])],
    },
];
//# sourceMappingURL=tarajiConstants.js.map