"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const path_1 = require("path");
const chai_1 = require("chai");
const utils_1 = require("../../src/utils");
describe('Path Utils', () => {
    const root = path_1.join('path', 'to', 'whatever');
    describe('baseName', () => {
        it('Should strip all suffixes of a file path and return just the name', () => {
            const path = path_1.join(root, 'a.ext.xyz');
            chai_1.expect(utils_1.baseName(path)).to.equal('a');
        });
        it('Should handle paths with no suffixes', () => {
            const path = path_1.join(root, 'a');
            chai_1.expect(utils_1.baseName(path)).to.equal('a');
        });
    });
});
//# sourceMappingURL=path.js.map