"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const path_1 = require("path");
const chai_1 = require("chai");
const util = require("../../src/utils/registry");
describe('Registry Utils', () => {
    const root = path_1.join('path', 'to', 'whatever');
    describe('parseMetadataXml', () => {
        it('Should parse fullName and suffix from metadata xml path', () => {
            const path = path_1.join(root, 'a.ext-meta.xml');
            chai_1.expect(util.parseMetadataXml(path)).to.deep.equal({
                fullName: 'a',
                path,
                suffix: 'ext',
            });
        });
        it('Should return undefined for file name not in metadata xml format', () => {
            const path = path_1.join(root, 'a.ext');
            chai_1.expect(util.parseMetadataXml(path)).to.be.undefined;
        });
    });
});
//# sourceMappingURL=registry.js.map